summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGunnar Wrobel <wrobel@gentoo.org>2007-10-29 14:12:21 +0000
committerGunnar Wrobel <wrobel@gentoo.org>2007-10-29 14:12:21 +0000
commitd231d652557b93247174be8d0eb442774d77d563 (patch)
treeb869e3c822635be0261f7c335a86dd826a71f849 /www-apps
parentAdded phpgedview-4.1.2 to the overlay (#134502) (diff)
downloadwebapps-experimental-d231d652557b93247174be8d0eb442774d77d563.tar.gz
webapps-experimental-d231d652557b93247174be8d0eb442774d77d563.tar.bz2
webapps-experimental-d231d652557b93247174be8d0eb442774d77d563.zip
Move this to knowledgetree-3.5.1. The ebuild does not work yet.
svn path=/experimental/; revision=670
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/knowledgetree/ChangeLog5
-rw-r--r--www-apps/knowledgetree/Manifest33
-rw-r--r--www-apps/knowledgetree/files/config-hook.sh (renamed from www-apps/knowledgetree/files/config-hook-3.5.sh)0
-rw-r--r--www-apps/knowledgetree/files/digest-knowledgetree-3.5.1 (renamed from www-apps/knowledgetree/files/digest-knowledgetree-3.5)0
-rw-r--r--www-apps/knowledgetree/files/postinstall-en.txt (renamed from www-apps/knowledgetree/files/postinstall-en-3.5.txt)12
-rw-r--r--www-apps/knowledgetree/files/postupgrade-en.txt (renamed from www-apps/knowledgetree/files/postupgrade-en-3.5.txt)8
-rw-r--r--www-apps/knowledgetree/knowledgetree-3.5.1.ebuild100
-rw-r--r--www-apps/knowledgetree/knowledgetree-3.5.ebuild80
8 files changed, 111 insertions, 127 deletions
diff --git a/www-apps/knowledgetree/ChangeLog b/www-apps/knowledgetree/ChangeLog
index 5486e81..0dd8463 100644
--- a/www-apps/knowledgetree/ChangeLog
+++ b/www-apps/knowledgetree/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 29 Oct 2007; wrobel@gentoo.org -files/config-hook-3.5.sh,
+ -files/postinstall-en-3.5.txt, -files/postupgrade-en-3.5.txt, ++, ++, ++,
+ ++, ++, -knowledgetree-3.5.ebuild:
+ Move this to knowledgetree-3.5.1. The ebuild does not work yet.
+
*knowledgetree-3.4.3 (06 Sep 2007)
06 Sep 2007; <kevin@4e.co.za> +files/config-hook-3.4.3.sh,
diff --git a/www-apps/knowledgetree/Manifest b/www-apps/knowledgetree/Manifest
index c081be5..8309acb 100644
--- a/www-apps/knowledgetree/Manifest
+++ b/www-apps/knowledgetree/Manifest
@@ -1,28 +1,7 @@
-AUX config-hook-3.5.sh 226 RMD160 a678c8d8c2084c5de8b4d8c95209eb64b114aeb2 SHA1 eaf67a85134b07863ee0c84a675931b3521bc6d7 SHA256 29dce509223735eacc2613806c6e47e7ef46c2d8e7cb90ff018ed3782eb49a61
-MD5 6666e69e804d1d4ea85830dd5802d02e files/config-hook-3.5.sh 226
-RMD160 a678c8d8c2084c5de8b4d8c95209eb64b114aeb2 files/config-hook-3.5.sh 226
-SHA256 29dce509223735eacc2613806c6e47e7ef46c2d8e7cb90ff018ed3782eb49a61 files/config-hook-3.5.sh 226
-AUX postinstall-en-3.5.txt 1681 RMD160 a092c0aec97fc6ba3bcfea84f01049c190610cab SHA1 935c34a5bb637231360baf41c85bd1507a7ca079 SHA256 ab31b93b3056e16ebbd2a9015d9e7e0d7bd6985952e3178fb5c7b6add326e240
-MD5 dea2d53a58ea904fa676aeb9bab9c54d files/postinstall-en-3.5.txt 1681
-RMD160 a092c0aec97fc6ba3bcfea84f01049c190610cab files/postinstall-en-3.5.txt 1681
-SHA256 ab31b93b3056e16ebbd2a9015d9e7e0d7bd6985952e3178fb5c7b6add326e240 files/postinstall-en-3.5.txt 1681
-AUX postupgrade-en-3.5.txt 679 RMD160 0c1a98b040724754f303acc8bbb2ba8b1bc7aab5 SHA1 4f663716222a3cdc5f523244161c43bc8a8ffdda SHA256 4930c4c0014f8d34f9a58cfc6e031975f74c6935ef9966656e71c3874a3c7ed1
-MD5 7a941057e17066d94125a17e30d73978 files/postupgrade-en-3.5.txt 679
-RMD160 0c1a98b040724754f303acc8bbb2ba8b1bc7aab5 files/postupgrade-en-3.5.txt 679
-SHA256 4930c4c0014f8d34f9a58cfc6e031975f74c6935ef9966656e71c3874a3c7ed1 files/postupgrade-en-3.5.txt 679
-DIST ktdms-src-oss-DEV.3.5.2007-09-07-111536.tgz 3513557 RMD160 6f8f5e7683903f53a7c03d51393dd768b9e564fc SHA1 abe134e3d12a434b045722b0d1548125ba889d38 SHA256 c4e1af0978e22d5a8d3ace99352f1711ff98037f17fbf5510cc101882b12afd2
-EBUILD knowledgetree-3.5.ebuild 2646 RMD160 72ef333a88717c15579dd287b882cd00963b5a65 SHA1 eac46bc9fa2817186d0e768b5852d06634223ac6 SHA256 b5c75f8565f1b6179684c3851d2691d5e09ff94b4e6425fa3582c447d8c310b0
-MD5 a447da3e3f52af94428a29da8b2e8042 knowledgetree-3.5.ebuild 2646
-RMD160 72ef333a88717c15579dd287b882cd00963b5a65 knowledgetree-3.5.ebuild 2646
-SHA256 b5c75f8565f1b6179684c3851d2691d5e09ff94b4e6425fa3582c447d8c310b0 knowledgetree-3.5.ebuild 2646
-MISC ChangeLog 2759 RMD160 b6cc4d5bb32c7590e6714ce7fa4e88c869d3d8f9 SHA1 4d240ffe83983d2a9f033d9aed4ce0bf963bd9d8 SHA256 527f122ac90931315608e8064fe2c71c3c49862850f3a7431f5f4fb9b87153f0
-MD5 331bab02d849c0029e9fa339b91bca25 ChangeLog 2759
-RMD160 b6cc4d5bb32c7590e6714ce7fa4e88c869d3d8f9 ChangeLog 2759
-SHA256 527f122ac90931315608e8064fe2c71c3c49862850f3a7431f5f4fb9b87153f0 ChangeLog 2759
+AUX config-hook.sh 226 RMD160 a678c8d8c2084c5de8b4d8c95209eb64b114aeb2 SHA1 eaf67a85134b07863ee0c84a675931b3521bc6d7 SHA256 29dce509223735eacc2613806c6e47e7ef46c2d8e7cb90ff018ed3782eb49a61
+AUX postinstall-en.txt 1242 RMD160 8693794648c6a1036703c4c5d8e8f17c529046ae SHA1 c3c6daec31ff606d578f08dc996c93d48cd8fd62 SHA256 86aa58e55193c26bd7dfe160f0517e428ce874662073deda376a4526e4a69bcc
+AUX postupgrade-en.txt 438 RMD160 c8063f6f42746df3a57534e67ab51fede679806d SHA1 1c1a0141f8a232fc277e227a00f953df3f754291 SHA256 0b6ecbf539a5fb9c7dc91bd7ffdcf22f034e338935ed87edc948b6faad026b37
+DIST ktdms-src-oss-3.5.1.tgz 6297683 RMD160 f1b3db46734127690d48eee317c50bd79bb0365e SHA1 15ab893cc9e49ba67880ba2716db02157d388510 SHA256 36f08c0e5621b456c48fb13ab8ef51bc8caf8bd225607dbcb8874f2a141d3504
+EBUILD knowledgetree-3.5.1.ebuild 2858 RMD160 9ff42af57669dfe63588f07c05af50cc1afa02c4 SHA1 fdfdfbc7018d8c2aa71e37f544b0ecdbf604d7e8 SHA256 1c9d6df9d54728917d0b6e118dc3eaa74fd53ef4d1abdcf53da82228e2b1da85
+MISC ChangeLog 2999 RMD160 5781cd556d767d4d1a8861c8eeebfbf399013195 SHA1 2b3bce30c827d97560adecc451fe2b82c08f6be6 SHA256 08373bbf792fb9bcb6270b268c714bd5c8fc227a9af2e269bd071a0afad2808a
MISC metadata.xml 161 RMD160 d47e924599b33a35a50f4c9f5564d325c271f83b SHA1 5b91a6d8d06d3dca2d774425befba30caca51507 SHA256 9cd891fcf0af580e98b62d2f4ded9e53671599f5a7aafd5dce692b996d2a83f4
-MD5 f61bfa064e3acdfcd826e4a38b121196 metadata.xml 161
-RMD160 d47e924599b33a35a50f4c9f5564d325c271f83b metadata.xml 161
-SHA256 9cd891fcf0af580e98b62d2f4ded9e53671599f5a7aafd5dce692b996d2a83f4 metadata.xml 161
-MD5 eb51608e981dd4a967e6c108e137f5f6 files/digest-knowledgetree-3.5 313
-RMD160 9be1bfa512fc4770fa3dd4a3bc783e3f8f591ebe files/digest-knowledgetree-3.5 313
-SHA256 eefb7d70ca983050b7a4a333e88b85e552c02f445ad9698533190ee53d63c799 files/digest-knowledgetree-3.5 313
diff --git a/www-apps/knowledgetree/files/config-hook-3.5.sh b/www-apps/knowledgetree/files/config-hook.sh
index c6fe2e9..c6fe2e9 100644
--- a/www-apps/knowledgetree/files/config-hook-3.5.sh
+++ b/www-apps/knowledgetree/files/config-hook.sh
diff --git a/www-apps/knowledgetree/files/digest-knowledgetree-3.5 b/www-apps/knowledgetree/files/digest-knowledgetree-3.5.1
index f1b68e7..f1b68e7 100644
--- a/www-apps/knowledgetree/files/digest-knowledgetree-3.5
+++ b/www-apps/knowledgetree/files/digest-knowledgetree-3.5.1
diff --git a/www-apps/knowledgetree/files/postinstall-en-3.5.txt b/www-apps/knowledgetree/files/postinstall-en.txt
index 962f11d..91c4b5e 100644
--- a/www-apps/knowledgetree/files/postinstall-en-3.5.txt
+++ b/www-apps/knowledgetree/files/postinstall-en.txt
@@ -32,15 +32,3 @@ can access the database.
Finally you can go to http://${VHOST_HOSTNAME}/${VHOST_APPDIR} and log in
as user "admin" with the password "admin".
-
-------------------------------------------------------------------------
-!!! PHP5 !!!
-
-This is a php5 application. Do not try to run it under php4. It will fail!
-
-------------------------------------------------------------------------
-POSTGRES
-
-You can also use knowledgtree with postgres. This ebuild currently
-does not provide support for it but if there is a need for it, please
-submit a feature request to the gentoo buzilla system.
diff --git a/www-apps/knowledgetree/files/postupgrade-en-3.5.txt b/www-apps/knowledgetree/files/postupgrade-en.txt
index b3c1b03..f937de2 100644
--- a/www-apps/knowledgetree/files/postupgrade-en-3.5.txt
+++ b/www-apps/knowledgetree/files/postupgrade-en.txt
@@ -9,11 +9,3 @@ YOU ARE ADVISED TO BACKUP YOUR OLD DATABASE BEFORE UPGRADING!!!
Now go to http://${VHOST_HOSTNAME}/${VHOST_APPDIR}/setup/upgrade.php
and press the "upgrade" button.
-
-------------------------------------------------------------------------
-!!! PHP5 !!!
-
-This is now a php5 application. Do not try to run it under php4. It
-will fail!
-------------------------------------------------------------------------
-
diff --git a/www-apps/knowledgetree/knowledgetree-3.5.1.ebuild b/www-apps/knowledgetree/knowledgetree-3.5.1.ebuild
new file mode 100644
index 0000000..d6cb6f8
--- /dev/null
+++ b/www-apps/knowledgetree/knowledgetree-3.5.1.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit webapp depend.php
+
+MY_PN=ktdms-src-oss
+MY_PV=${PV/_/}
+MY_P=${MY_PN}-${MY_PV}
+
+DESCRIPTION="KnowledgeTree is a document management system providing a content repository, workflow and routing of content, content publication and content metrics definition and analysis."
+HOMEPAGE="http://www.knowledgetree.com/"
+SRC_URI="mirror://sourceforge/kt-dms/${MY_P}.tgz"
+
+LICENSE="GPL-2"
+KEYWORDS="~x86 ~amd64"
+IUSE="openoffice catdoc"
+
+# Need to make these all depend on IUSE flags?
+# The indexers and unzip are really needed for normal functioning.
+# catdoc is masked so make it optional for now.
+# curl is required for various tasks.
+# openoffice is optional but recommended - for PDF generation, document comparison, etc.
+RDEPEND="virtual/httpd-cgi
+ dev-php/smarty
+ dev-php/PEAR-Cache_Lite
+ dev-php/PEAR-Config
+ dev-php/PEAR-PHP_CompatInfo
+ dev-php/PEAR-DB
+ dev-php/PEAR-File
+ dev-php/PEAR-File_Gettext
+ dev-php/PEAR-HTTP
+ dev-php/PEAR-Log
+ dev-php/PEAR-Net_URL
+ >=app-text/catdoc-0.94.1
+ app-text/pstotext
+ app-text/poppler
+ app-arch/unzip
+ net-misc/curl
+ ssl? ( dev-libs/openssl )
+ openoffice? ( || ( app-office/openoffice-bin app-office/openoffice ) )"
+
+# PHP5 is now required.
+need_php5_httpd
+
+# How do we handle required PHP modules if needed?
+
+S="${WORKDIR}"/knowledgeTree-OSS
+
+pkg_setup() {
+ require_php_with_use "session nls json mysqli mysql"
+
+ webapp_pkg_setup
+}
+
+src_install() {
+ webapp_src_preinst
+
+ ## Main application
+ cp -r . "${D}${MY_HTDOCSDIR}"
+
+ dodoc HISTORY.txt docs/* examples
+
+ ## Docs installed, remove unnecessary files
+ rm "${D}${MY_HTDOCSDIR}"/HISTORY.txt
+ rm "${D}${MY_HTDOCSDIR}"/docs/README.txt
+ rm "${D}${MY_HTDOCSDIR}"/docs/CHANGELOG*
+ rm -rf "${D}${MY_HTDOCSDIR}"/examples
+
+ # we remove the third-party tools/softwares bundled with KTDMS
+ # (instead we use the ones provided by the portage tree)
+ rm -rf "${D}${MY_HTDOCSDIR}"/thirdparty/Smarty/
+ rm -rf "${D}${MY_HTDOCSDIR}"/thirdparty/pear/
+
+ for CFG in "${MY_HTDOCSDIR}"/config/*
+ do
+ webapp_configfile "${CFG}"
+ done
+
+ keepdir "${MY_HTDOCSDIR}"/var/cache
+
+ ## Documents will be saved here
+ webapp_serverowned "${MY_HTDOCSDIR}"/var/cache
+ webapp_serverowned "${MY_HTDOCSDIR}"/var/Documents
+ webapp_serverowned "${MY_HTDOCSDIR}"/var/indexes
+ webapp_serverowned "${MY_HTDOCSDIR}"/var/log
+ webapp_serverowned "${MY_HTDOCSDIR}"/var/tmp
+ webapp_serverowned "${MY_HTDOCSDIR}"/var/uploads
+
+ webapp_sqlscript mysql sql/mysql/install/structure.sql
+ webapp_sqlscript mysql sql/mysql/install/data.sql
+
+ webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+ webapp_postupgrade_txt en "${FILESDIR}"/postupgrade-en.txt
+
+ ## Fix for the root folder
+ webapp_hook_script "${FILESDIR}"/config-hook.sh
+
+ webapp_src_install
+}
diff --git a/www-apps/knowledgetree/knowledgetree-3.5.ebuild b/www-apps/knowledgetree/knowledgetree-3.5.ebuild
deleted file mode 100644
index ccc6235..0000000
--- a/www-apps/knowledgetree/knowledgetree-3.5.ebuild
+++ /dev/null
@@ -1,80 +0,0 @@
-# Copyright 1999-2007 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-inherit webapp depend.php
-
-MY_PN=ktdms-src-oss
-MY_PV=${PV/_/}
-MY_P=${MY_PN}-${MY_PV}
-
-DESCRIPTION="KnowledgeTree is a document management system providing a content repository, workflow and routing of content, content publication and content metrics definition and analysis."
-HOMEPAGE="http://www.knowledgetree.com/"
-# For these DEV builds it's easier to just put the filename in manually.
-SRC_URI="mirror://sourceforge/kt-dms/ktdms-src-oss-DEV.3.5.2007-09-07-111536.tgz"
-# The STABLE releases will still use the following...
-#SRC_URI="mirror://sourceforge/kt-dms/${MY_P}.tgz"
-LICENSE="GPL-2"
-KEYWORDS="~x86 ~amd64"
-IUSE="openoffice catdoc"
-
-# Need to make these all depend on IUSE flags?
-# The indexers and unzip are really needed for normal functioning.
-# catdoc is masked so make it optional for now.
-# curl is required for various tasks.
-# openoffice is optional but recommended - for PDF generation, document comparison, etc.
-RDEPEND="catdoc? ( >=app-text/catdoc-0.94.1 )
- app-text/pstotext
- app-text/poppler
- app-arch/unzip
- net-misc/curl
- ssl? ( dev-libs/openssl )
- openoffice? ( || ( app-office/openoffice-bin app-office/openoffice ) )"
-
-# PHP5 is now required.
-need_php5_httpd
-
-# How do we handle required PHP modules if needed?
-
-S=${WORKDIR}/knowledgeTree-OSS
-
-src_install() {
- webapp_src_preinst
-
- dodoc ${docs}
-
- ## Main application
- cp -r . ${D}${MY_HTDOCSDIR}
-
- ## Docs installed, remove unnecessary files
- rm ${D}${MY_HTDOCSDIR}/docs/README.txt
-
- for CFG in ${MY_HTDOCSDIR}/config/{config.ini,dmsDefaults.php,siteMap.inc,tableMappings.inc}
- do
- webapp_configfile ${CFG}
- done
-
- keepdir ${MY_HTDOCSDIR}/var/cache
-
- ## Documents will be saved here
- webapp_serverowned ${MY_HTDOCSDIR}/var/cache
- webapp_serverowned ${MY_HTDOCSDIR}/var/log
- webapp_serverowned ${MY_HTDOCSDIR}/var/tmp
- webapp_serverowned ${MY_HTDOCSDIR}/var/Documents
- #webapp_serverowned "${MY_HTDOCSDIR}/var/Documents/Root Folder"
- #webapp_serverowned "${MY_HTDOCSDIR}/var/Documents/Root Folder/Default Unit"
-
- webapp_sqlscript mysql sql/mysql/install/structure.sql
- webapp_sqlscript mysql sql/mysql/install/data.sql
-# We don't currently support postgres anymore. Coming soon.
-# webapp_sqlscript postgres sql/pgsql/install/tables.sql
-# webapp_sqlscript postgres sql/pgsql/install/functions.sql
-
- webapp_postinst_txt en ${FILESDIR}/postinstall-en-${PV}.txt
- webapp_postupgrade_txt en ${FILESDIR}/postupgrade-en-${PV}.txt
-
- ## Fix for the root folder
- webapp_hook_script ${FILESDIR}/config-hook-${PV}.sh
-
- webapp_src_install
-}